package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TEmployedPeopleInfo;
import com.zehong.system.domain.TEnterpriseInfo;

/**
 * 从业人员信息Mapper接口
 *
 * @author zehong
 * @date 2022-01-25
 */
public interface TEmployedPeopleInfoMapper
{
    /**
     * 查询从业人员信息
     *
     * @param employedPeopleId 从业人员信息ID
     * @return 从业人员信息
     */
    public TEmployedPeopleInfo selectTEmployedPeopleInfoById(Long employedPeopleId);

    /**
     * 查询从业人员信息列表
     *
     * @param tEmployedPeopleInfo 从业人员信息
     * @return 从业人员信息集合
     */
    public List<TEmployedPeopleInfo> selectTEmployedPeopleInfoList(TEmployedPeopleInfo tEmployedPeopleInfo);

    /**
     * 新增从业人员信息
     *
     * @param tEmployedPeopleInfo 从业人员信息
     * @return 结果
     */
    public int insertTEmployedPeopleInfo(TEmployedPeopleInfo tEmployedPeopleInfo);

    /**
     * 修改从业人员信息
     *
     * @param tEmployedPeopleInfo 从业人员信息
     * @return 结果
     */
    public int updateTEmployedPeopleInfo(TEmployedPeopleInfo tEmployedPeopleInfo);

    /**
     * 删除从业人员信息
     *
     * @param employedPeopleId 从业人员信息ID
     * @return 结果
     */
    public int deleteTEmployedPeopleInfoById(Long employedPeopleId);

    /**
     * 批量删除从业人员信息
     *
     * @param employedPeopleIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEmployedPeopleInfoByIds(Long[] employedPeopleIds);

    /**
     * 企业信息查询(下拉框数据)
     * @return
     */
    List<TEnterpriseInfo> selectTEnterprise(String deptId);

    /**
     * 根据企业id查询企业名称
     * @param bId
     * @return
     */
    String selectEnterpriseName(String bId);


    public List<String> queryPeopleOccupationByGroupBy();
}
